Subject: Re: sky2 hangs, hw csum errors with 2.6.18

From: Stephen Hemminger <[email-masked]>
Date: Tue, 3 Oct 2006 12:16:24 -0700

On Tue, 3 Oct 2006 21:13:51 +0200
Martin Lucina <[email-masked]> wrote:

> [email-masked] said:
> > > > What speed and duplex are you using?
> > > 
> > > 1000 Mbps, full duplex
> > > 
> > > > What MTU are you using.
> > > 
> > > 1500
> > 
> > Are you sure? I assume you are using the latest driver from Linus's
> > git repository. That version adds support for fragmented receive, but
> > that code shouldn't be doing anything unless MTU > page size (4K).
> 
> Absolutely positive on the MTU and speed/duplex.
> 
> !!!
> As for the driver version, I'm using the one in the stock 2.6.18 kernel,
> NOT the one in Linus' git.
> !!!
> 
> If I should be using a newer version, please send me a patch, or tell me
> a way to obtain one from the git repository that doesn't involve syncing
> the whole repository (not enough intl bandwith for that sort of thing
> here).
> 
> -mato

If you are seeing truesize errors with the stock 2.6.18 kernel then
some other protocol is messing with the skb's?  Are you using IPV6?
Or PPPoE or something like that.

-- 
Stephen Hemminger <[email-masked]>